[Haskell-cafe] Haskore dependency trouble

Yitzchak Gale gale at sefer.org
Wed Jul 12 06:59:14 EDT 2006

>>> Setup.lhs: cannot satisfy dependency Hsc-any

>> This belongs to a SuperCollider wrapper:
>> http://www.slavepianos.org/rd/f/409875/

> Thanks! I'll just install the Debian package.

I installed the supercollider Debian package,
got hsc using darcs and installed it using Cabal.
All seemed to work OK.

Now the build command for Haskore fails with:

Could not find module `Hsc.UGen'...
  (imported from src/Haskore/Interface/SuperCollider/Example.hs)

That sounds like you did not say "-package Hsc".

Besides that, just for the fun of it I tried "ghci -package HSc".
The result was:

Loading package Hsc-0.1 ... linking ... ghc-6.4.1:
/usr/lib/Hsc-0.1/ghc-6.4.1/HSHsc-0.1.o: unknown symbol
ghc-6.4.1: unable to load package `Hsc-0.1'

I installed the supercollider-dev Debian package and
re-installed Hsc (unregister, clean, configure, build, install).
It did not help.

What now? Should I give up and hack all of the Hsc stuff
out of Haskore.cabal?

Thanks for your help,

More information about the Haskell-Cafe mailing list